=== debian/control ===
Source: faubackup
Section: admin
Priority: optional
Maintainer: Martin Waitz <tali@debian.org>
Build-Depends: debhelper (>= 4.1.46), cdbs, libpopt-dev
Standards-Version: 3.6.1.0

Package: faubackup
Architecture: any
Depends: ${shlibs:Depends}, perl-modules
Replaces: vbackup
Provides: vbackup
Conflicts: vbackup
Recommends: ssh | rsh-client
Description: Backup System using a Filesystem for Storage
 This Program uses a filesystem on a hard drive for incremental
 and full backups.
 All Backups can easily be accessed by standard filesystem tools
 (ls, find, grep, cp, ...)
 .
 Later Backups to the same filesystem will automatically be
 incremental, as unchanged files are only hard-linked with
 the existing version of the file.
