## faubackup 0.5.9

=== debian/changelog ===
faubackup (0.5.9) unstable; urgency=low

  * support for custom config file locations (Closes: #273140)
  * really propagate error status of child processes (Closes: #348316)
  * check for ..inodes directories (Closes: #357865)
  * Make error messages more consistant and clear (Closes: #329866)
  * Support for O_NOATIME

 -- Martin Waitz <tali@debian.org>  Wed, 26 Apr 2006 23:57:06 +0200
