=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Waitz <tali@debian.org>
 Build-Depends: debhelper (>= 4.1.46), cdbs, libpopt-dev
-Standards-Version: 3.6.1.0
+Standards-Version: 3.7.2
 
 Package: faubackup
 Architecture: any
